Package ru.bitel.bgbilling.modules.rscm.common.service

# Interface RSCMService

    public interface RSCMService

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `cancelRSCMContractServiceInstallment​(int id)` |
  `void` | `deleteRSCMContractService​(int rscmContractServiceId, int contractId, java.time.LocalDate month)` |
  `void` | `deleteRSCMContractServiceInstallment​(int id, int contractId)` |
  `void` | `deleteRSCMService​(int rscmServiceId)` |
  `RSCMContractService` | `getRSCMContractService​(int contractId, int rscmContractServiceId)` |
  `java.util.List<IdTitle>` | `getRSCMContractServiceList​(boolean isUsing)` |
  `RSCMService` | `getRSCMService​(int rscmServiceId)` |
  `java.util.List<IdTitle>` | `getRSCMServiceList()` |
  `void` | `infoRSCMContractServiceInstallment​(int id)` |
  `void` | `recalculate​(java.util.Date startMonth, java.lang.String email, java.util.List<java.lang.Integer> contractIds)` |
  `void` | `resumeRSCMContractServiceInstallment​(int id)` |
  `SearchResult<RSCMContractService>` | `searchRSCMContractService​(int contractId, Period period, java.lang.String[] sort, Page page)` |
  `SearchResult<RSCMContractServiceInstallment>` | `searchRSCMContractServiceInstallment​(int contractId, java.lang.String[] sort, Page page)` |
  `SearchResult<RSCMService>` | `searchRSCMService​(java.lang.String[] sort, Page page)` |
  `void` | `suspendRSCMContractServiceInstallment​(int id)` |
  `void` | `updateRSCMContractService​(RSCMContractService rscmContractService)` |
  `void` | `updateRSCMService​(RSCMService rscmService)` |

- ## Method Details

  - ### searchRSCMContractService

    SearchResult<RSCMContractService> searchRSCMContractService​(int contractId, Period period, java.lang.String[] sort, Page page) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Parameters:
      `contractId` -
      `period` -
      `sort` -
      `page` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### searchRSCMService

    SearchResult<RSCMService> searchRSCMService​(java.lang.String[] sort, Page page) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Parameters:
      `period` -
      `sort` -
      `page` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getRSCMContractService

    RSCMContractService getRSCMContractService​(int contractId, int rscmContractServiceId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Parameters:
      `contractId` -
      `id` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getRSCMService

    RSCMService getRSCMService​(int rscmServiceId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Parameters:
      `id` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### updateRSCMContractService

    void updateRSCMContractService​(RSCMContractService rscmContractService) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Parameters:
      `rscmContractService` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### updateRSCMService

    void updateRSCMService​(RSCMService rscmService) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Parameters:
      `rscmService` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### deleteRSCMContractService

    void deleteRSCMContractService​(int rscmContractServiceId, int contractId, java.time.LocalDate month) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Parameters:
      `rscmContractServiceId` -
      `date` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### deleteRSCMService

    void deleteRSCMService​(int rscmServiceId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Parameters:
      `rscmServiceId` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### recalculate

    void recalculate​(java.util.Date startMonth, java.lang.String email, java.util.List<java.lang.Integer> contractIds) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Parameters:
      `startMonth` -
      `email` -
      `contractIds` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getRSCMContractServiceList

    java.util.List<IdTitle> getRSCMContractServiceList​(boolean isUsing) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getRSCMServiceList

    java.util.List<IdTitle> getRSCMServiceList() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### searchRSCMContractServiceInstallment

    SearchResult<RSCMContractServiceInstallment> searchRSCMContractServiceInstallment​(int contractId, java.lang.String[] sort, Page page) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### deleteRSCMContractServiceInstallment

    void deleteRSCMContractServiceInstallment​(int id, int contractId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### infoRSCMContractServiceInstallment

    void infoRSCMContractServiceInstallment​(int id) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### suspendRSCMContractServiceInstallment

    void suspendRSCMContractServiceInstallment​(int id) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### resumeRSCMContractServiceInstallment

    void resumeRSCMContractServiceInstallment​(int id) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### cancelRSCMContractServiceInstallment

    void cancelRSCMContractServiceInstallment​(int id) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`